CLS
PoortA = &H260          'The first adres of the INTERCOM print
PoortB = &H261
PoortC = &H262

ComdReg = &H263         'The command register of the interface
OUT ComdReg, &H90       'make PoortA input, PoortB and PoortC output
OUT PoortB, 255         'All the open collectors HIGH!
OUT PoortC, 1           'Te lowest frequency is 17 Hz


SCREEN 1
DO
  DO
   A = INP(PoortA)
   LOCATE 1, 1: PRINT A;
  LOOP UNTIL A < 120
  DO
   A = INP(PoortA)
   LOCATE 1, 1: PRINT A;
  LOOP UNTIL A > 128
FOR X = 1 TO 320
  A = INP(PoortA)
  Y = 170 - (A / 2)
  PSET (X, Y)
NEXT X
LOOP UNTIL INKEY$ <> ""
CLS


'Now we activate the PTT output of the print, that is bit 7 of PoortB
X = 255
DO
  X = X XOR 128
  LOCATE 1, 1: PRINT X; "  "
  OUT PoortB, X
  FOR wacht = 1 TO 30000: NEXT wacht
LOOP UNTIL INKEY$ <> ""


'Now we activate the KEY output of the print, that is bit 6 of PoortB
X = 255
DO
  X = X XOR 64
  LOCATE 1, 1: PRINT X; "  "
  OUT PoortB, X
  FOR wacht = 1 TO 15000: NEXT wacht
LOOP UNTIL INKEY$ <> ""
X = 255
OUT PoortB, X


'Now we put the tranceiver to transmit and give a tone of 1445 Hz
X = 127
OUT PoortB, X
Y = 1445 / 17           'remember, every step is 17 Hz!
OUT PoortC, Y
DO: LOOP UNTIL INKEY$ <> ""

'And guess what is happening here....
DO
FOR Y = 0 TO 255
   OUT PoortC, Y
   FOR X = 0 TO 2500: NEXT X
NEXT Y
LOOP UNTIL INKEY$ <> ""

'And off again
X = 255
OUT PoortB, X



'And now we program a real memory-scope
BLACK& = 0
GREEN& = 10
DIM oldvalue%(640)
DIM newvalue%(640)
SCREEN 12       '640*480 with 16 colors

DO
'First the triggering
  DO
   A = INP(PoortA)
  LOOP UNTIL A < 112
  DO
   A = INP(PoortA)
  LOOP UNTIL A > 144

'Gather the points
FOR X = 1 TO 640
  A = INP(PoortA)
  newvalue%(X) = A
NEXT X

'delete the old ones and write the new ones
FOR X = 1 TO 640
  PSET (X - 1, 320 - oldvalue%(X)), BLACK&
  PSET (X - 1, 320 - newvalue%(X)), GREEN&
  oldvalue%(X) = newvalue%(X)
NEXT X

'and again and again and again
LOOP UNTIL INKEY$ <> ""

SCREEN 0
OUT ComdReg, &H9B       'make everything input again

